/**Begin C:\PDM_UPGRADE\PDM1\SRM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SRM_COMPLAINTMANAGE') 
 CREATE TABLE T_SRM_COMPLAINTMANAGE (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FLAUNCHUSERID BIGINT DEFAULT 0 NOT NULL,
FLAUNCHDATE DATETIME,
FSOLVEDATE DATETIME,
FLAUNCHPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FLAUNCHEMAIL VARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMPLAINTCOMPANY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMPLAINTUSER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMPLAINTSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FHANDLESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FMANAGECOMPLAINTSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FHANDLECOMPLAINTSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMPLAINTDETAIL NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FDEALBACK NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPRECOMMENTS VARCHAR(10) DEFAULT ' ' NOT NULL,
FACCEPTUSERID BIGINT DEFAULT 0 NOT NULL,
FDEALORGID BIGINT DEFAULT 0 NOT NULL,
FDEALUSERID BIGINT DEFAULT 0 NOT NULL,
FEXPLAIN NVARCHAR(512) DEFAULT ' ' NOT NULL
);



/**End C:\PDM_UPGRADE\PDM1\SRM_table.sql **/
